## org.eclipse.emf.cdo.server
Interface IRepositoryFactory

All Known Implementing Classes:
  RepositoryFactory

    public interface IRepositoryFactory

Field Summary
`static java.lang.String` `PRODUCT_GROUP`

Method Summary
`IRepository` `createRepository()`
`java.lang.String` `getRepositoryType()`

Field Detail

### PRODUCT_GROUP

    static final java.lang.String PRODUCT_GROUP

Since:
  2.0
See Also:
  Constant Field Values

Method Detail

### getRepositoryType

    java.lang.String getRepositoryType()

### createRepository

    IRepository createRepository()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.